# Get File Changes pages for specified audit run

POST /v3/web-audits/{auditId}/runs/{runId}/reports/file-changes/pages

Endpoint: POST /v3/web-audits/{auditId}/runs/{runId}/reports/file-changes/pages
Security: API_Key

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit
    Example: 107239

  - `runId` (integer, required)
    Unique identification number for web audit or journey run
    Example: 33010

## Query parameters:

  - `page` (integer)
    Page number, starts with 0

  - `size` (integer)

  - `sortBy` (string)
    Enum: "page_url", "final_page_url", "page_load_time", "page_status_code", "final_page_status_code"

  - `sortDesc` (boolean)
    Controls sorting order

## Request fields (application/json):

  - `pageUrl` (object)

  - `pageUrl.filterType` (string, required)
    Enum: "contains", "regex"

  - `pageUrl.filterValue` (string, required)

  - `pageUrl.negated` (boolean)
    Switches from "contains" to "not contains", and from "matches regex" to "does not match regex". Supported only by Page Summary for now

  - `finalPageUrl` (object)

  - `finalPageUrl.filterType` (string, required)
    Enum: "contains", "regex"

  - `finalPageUrl.filterValue` (string, required)

  - `finalPageUrl.negated` (boolean)
    Switches from "contains" to "not contains", and from "matches regex" to "does not match regex". Supported only by Page Summary for now

  - `pageTitle` (object)

  - `pageTitle.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `pageTitle.filterValue` (string, required)
    Page title as displayed by browser
    Example: "ObserveP"

  - `initialPageStatusCode` (object)

  - `initialPageStatusCode.filterType` (string, required)
    Enum: "specific", "range"

  - `initialPageStatusCode.negated` (boolean, required)
    Switches from == to !=, and from between [minInclusive, maxExclusive) to NOT between [minInclusive, maxExclusive)

  - `finalPageStatusCode` (object)

  - `finalPageStatusCode.filterType` (string, required)
    Enum: "specific", "range"

  - `finalPageStatusCode.negated` (boolean, required)
    Switches from == to !=, and from between [minInclusive, maxExclusive) to NOT between [minInclusive, maxExclusive)

  - `combinedPageStatusCode` (string)
    - broken - initial or final URL are broken,
- good - initial URL is good or redirect and final URL is good
    Enum: "broken", "good"

  - `pageLoadTime` (object)
    Page load time in milliseconds. Should have min and/or max properties defined. min is inclusive and max is exclusive. min should be less than max.

  - `pageLoadTime.min` (integer)

  - `pageLoadTime.max` (integer)

  - `pageSize` (object)
    Page size in bytes. Should have min and/or max properties defined. min is inclusive and max is exclusive. min should be less than max.

  - `pageSize.min` (integer)

  - `pageSize.max` (integer)

  - `redirectCount` (object)
    Number of redirects for a page. Should have min and/or max properties defined. min is inclusive and max is exclusive. min should be less than max.

  - `redirectCount.min` (integer)

  - `redirectCount.max` (integer)

  - `hasBrokenLinks` (boolean)

  - `pageUrlMatchingAuditFilterConfiguration` (boolean)

  - `primaryTagsOnly` (boolean)
    if true then return only pages/tags with primary tags else return all pages/tags

  - `tagId` (integer)
    Tag ID

  - `tagCategoryId` (integer)
    Tag category ID

  - `tagVendorId` (integer)
    Tag vendor ID

  - `dateDifference` (object)
    Filters absolute difference values, e.g. when min = 200 then -300 diff passes filter. Should have min and/or max properties defined. min is inclusive, max is exclusive.

  - `dateDifference.min` (integer)
    date difference in minutes

  - `dateDifference.max` (integer)
    date difference in minutes

  - `sizeDifference` (object)
    Filters absolute difference values, e.g. when min = 200 then -300 diff passes filter. Should have min and/or max properties defined. min is inclusive, max is exclusive.

  - `sizeDifference.min` (integer)
    File size change in number of bytes

  - `sizeDifference.max` (integer)
    File size change in number of bytes

  - `filename` (string)
    Name of the file. Identified as the last non-empty part of URL path
    Example: "main.js"

  - `changeType` (string)
    Enum: "new_file", "not_changed", "changed_file", "deleted_file", "unknown"

  - `anyRelatedTag` (boolean)
    Show all files with any related tag

  - `pageStatusCode` (string)
    good - 2xx, redirects - 3xx, broken - all others
    Enum: "good", "redirects", "broken"

## Response 200 fields (application/json):

  - `metadata` (object, required)
    Common metadata for iterable

  - `metadata.pagination` (object, required)

  - `metadata.pagination.totalCount` (integer, required)
    Total number of items available from all result pages combined

  - `metadata.pagination.totalPageCount` (integer, required)
    Total number of pages available

  - `metadata.pagination.pageSize` (integer, required)
    Page size - number of items per result page configured by size query parameter or default page size

  - `metadata.pagination.currentPageSize` (integer, required)
    Number of items in current result page

  - `metadata.pagination.currentPageNumber` (integer, required)
    Current page number/ordinal

  - `pages` (array, required)

  - `pages.pageId` (string, required)
    Example: "f9d32cc7cc2046d6decb145a80289287f5226323"

  - `pages.pageUrl` (string, required)
    Example: "https://example.com/about"

  - `pages.pageLoadTime` (integer, required)
    Time page took to load, in milliseconds

  - `pages.pageStatusCode` (integer, required)
    Page HTTP status code

  - `pages.finalPageUrl` (string)
    Example: "https://example.com/about"

  - `pages.finalPageStatusCode` (integer)
    Page HTTP status code

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)


